<?php

namespace Modules\WebsiteInfo\database\seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Modules\WebsiteInfo\Models\WebsiteInfo;

class WebsiteInfoDatabaseSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Disable foreign key checks!
        DB::statement('SET FOREIGN_KEY_CHECKS=0;');

        /*
         * WebsiteInfos Seed
         * ------------------
         */

        // DB::table('websiteinfos')->truncate();
        // echo "Truncate: websiteinfos \n";

        WebsiteInfo::factory()->count(20)->create();
        $rows = WebsiteInfo::all();
        echo " Insert: websiteinfos \n\n";

        // Enable foreign key checks!
        DB::statement('SET FOREIGN_KEY_CHECKS=1;');
    }
}
